# Open-Issues

## 1. Hardhat: Upgradeable Proxy support for XDC

Unable to set up an upgradeable proxy contract using Hardhat features. The setup is working fine with another EVM-compatible blockchain.

Can we look into this?

![](/files/5J2QATLJl37mAEK0qIJM)

How to replicate this issue?

```
const { ethers, upgrades } = require("hardhat");

async function main() {
  //   const gas = await ethers.provider.getGasPrice();
  const CLCStakePool = await ethers.getContractFactory("CLCStakePool");
  console.log("Deploying stakePool...");
  const v1contract = await upgrades.deployProxy(CLCStakePool,[]);
  await v1contract.waitForDeployment();
  console.log("Contract deployed to:", await v1contract.getAddress());
}

main().catch((error) => {
  console.error(error);
  process.exitCode = 1;
});
```

Use this deployment script, and replace the contract with your own contract.

Expected results: it should deploy the contract fine and provide the contract address

Actual Results: Erroring out with "ProviderError: too many arguments, want at most 1"

## 2. HeadTracker is not capturing a few blocks in Apothem / Mainnet

We have been witnessing this issue recently, when we setup Plugin2.0.

These issues have not occurred before, but recently. To check the issues, we have executed the Plugin2.0 in "Polygon" and also in "XDC Mainnet". Logs for both executions is captured below.

Actual issue?

* In Plugin, when we configure more than 4 jobs, the execution is failed resulting in the following error

> 2023-09-25T12:48:34.707+0530 \[ERROR] Error in new head subscription, unsubscribed headtracker/head\_listener.go:67 err=websocket: close 1000 (normal) evmChainID=50 logger=EVM.HeadTracker.HeadListener stacktrace=github.com/GoPlugin/pluginV2/core/chains/evm/headtracker.(\*headListener).ListenForNewHeads

When we execute the same against the "Polygon" chain, it runs without any issues.

Logs:-

![](/files/8EMTp8BJnak2Fva7zrlk)

The log shows that "headtracker is missing" a block, due to which we face "RPC node is not reachable" and it is on & off and unstable.

Head & Block logs for Polygon: <https://notepad.pw/g50JXvp3RIn1PNfe2Tea>

For XDC: <https://notepad.pw/o7VtAjvuS4dFtN0YdLyd>

You may see the difference in the XDC Log, where the blocks are missing.

Note: We have tested the available RPC from "<https://chainlist.org/>" for Apothem & Mainnet and the results are the same.

Let us know if you need some more information to debug.

Kindly review and let us know the possible solutions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goplugin.co/tips-and-tricks/open-issues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
